Loading...
Searching...
No Matches
XrdCpConfig.cc File Reference
`#include <fcntl.h>`
`#include <getopt.h>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <cstring>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include "XrdVersion.hh"`
`#include "XrdApps/XrdCpConfig.hh"`
`#include "XrdApps/XrdCpFile.hh"`
`#include "XrdCks/XrdCksCalc.hh"`
`#include "XrdCks/XrdCksManager.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdSys/XrdSysE2T.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysLogger.hh"`
`#include "../../LICENSE"`
Include dependency graph for XrdCpConfig.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdCpConfiguration

## Macros

#define | EMSG(x)
#define | FMSG(x, y)
#define | OPT_TYPE
#define | UMSG(x)
#define | ZMSG(x)

## Variables

static XrdSysLogger | XrdCpConfiguration::Logger

## Macro Definition Documentation

## EMSG

#define EMSG | ( |  | x | ) |

Value:
std::cerr <<PName <<": " <<x <<std::endl

Definition at line 55 of file XrdCpConfig.cc.

Referenced by XrdCpConfig::Config(), XrdXrootdTransit::Recycle(), and XrdXrootdResponse::Send().

## FMSG

#define FMSG | ( |  | x,
|  |  | y )

Value:
{EMSG(x);exit(y);}
EMSG
#define EMSG(x)
Definition XrdCpConfig.cc:55

Definition at line 57 of file XrdCpConfig.cc.

Referenced by XrdCpConfig::Config().

## OPT_TYPE

#define OPT_TYPE

Definition at line 68 of file XrdCpConfig.cc.

Referenced by main().

## UMSG

#define UMSG | ( |  | x | ) |

Value:
{EMSG(x);Usage(22);}
Usage
void Usage(const char *msg)
Definition XrdAccTest.cc:105

Definition at line 59 of file XrdCpConfig.cc.

Referenced by XrdCpConfig::Config().

## ZMSG

#define ZMSG | ( |  | x | ) |

Value:
{EMSG(x);return 0;}

Definition at line 61 of file XrdCpConfig.cc.